This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 191788 - Nasty ncpfs symlink handling bug
Nasty ncpfs symlink handling bug
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Don Howard
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-15 16:05 EDT by Marcel Holtmann
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-28 12:21:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Holtmann 2006-05-15 16:05:55 EDT
This bug could cause oopses and page state corruption, because ncpfs used the
generic page-cache symlink handlign functions. But those functions only work if
the page cache is guaranteed to be "stable", ie a page that was installed when
the symlink walk was started has to still be installed in the page cache at the
end of the walk.

The upstream fix for 2.6 can be found here:

http://www.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=cc314eef0128a807e50fa03baf2d0abc0647952c

It is not fully clear if this has a security implication at all and it got fixed
only in the 2.6 kernel series.

Note You need to log in before you can comment on or make changes to this bug.